Problem when upgrading OMP from version 3.1.1-4 to version 3.2.1-2

Hello, I’m trying to update the OMP from version 3.1.1-4 to version 3.2.1-2, but when I run the update script it will work and send the error below. I ask for help if anyone knows what the solution is.

ADOConnection._Execute(ALTER TABLE email_templates DROP INDEX email_templates_assoc, DROP INDEX email_templates_email_key, false) % line 1241, file: [adodb.inc.php](file://var/www/html/omp/lib/pkp/lib/vendor/adodb/adodb-php/adodb.inc.php) ADOConnection.Execute(ALTER TABLE email_templates DROP INDEX email_templates_assoc, DROP INDEX email_templates_email_key) % line 453, file: [Installer.inc.php](file://var/www/html/omp/lib/pkp/classes/install/Installer.inc.php) Installer.executeSQL(ALTER TABLE email_templates DROP INDEX email_templates_assoc, DROP INDEX email_templates_email_key) % line 448, file: [Installer.inc.php](file://var/www/html/omp/lib/pkp/classes/install/Installer.inc.php) Installer.executeSQL(Array[10]) % line 395, file: [Installer.inc.php](file://var/www/html/omp/lib/pkp/classes/install/Installer.inc.php) Installer.executeAction(Array[3]) % line 263, file: [Installer.inc.php](file://var/www/html/omp/lib/pkp/classes/install/Installer.inc.php)


I made a print of the query that runs and it’s probably giving an error:

string(98) “ALTER TABLE email_templates DROP INDEX email_templates_assoc, DROP INDEX email_templates_email_key”


Errors occurred during installation:

  • A database error has occurred: ERROR: syntax error at or near “email_templates_assoc” LINE 1: ALTER TABLE email_templates DROP INDEX email_templates_assoc… ^